.stack__cards {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    gap: 20px;
    margin-top: 50px;
}

.stack__swiper {
    margin: -10px;
    padding: 10px;
}

.stack__swiper .swiper-pagination-bullet {
    width: 8px;
    height: 8px;
    border-radius: 5px;
    background-color: #fff;
    box-shadow: 1px 1px 3px 0px rgba(22, 27, 29, 0.17);

}

.stack__swiper .swiper-pagination-bullet-active {
    width: 10px;
    height: 10px;
    background-color: #5865F2;
}

.stack__swiper .swiper-pagination {
    display: none;
}

.stack__card {
    box-sizing: border-box;
    height: 185px;
    width: auto !important;
    border-radius: 20px;
    padding: 20px 10px;
    display: flex;
    flex-direction: column;
    gap: 15px;
    text-align: center;
    align-items: center;
    justify-content: center;
    background-color: #fff;
    box-shadow: 3px 3px 10px 0px rgba(22, 27, 29, 0.17);
    font-size: 24px;
    font-weight: 700;
}

.stack__images {
    width: 100px;
    height: 100px;
    position: relative;
}

.stack__image {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    margin: auto;
    object-fit: contain;
    object-position: center;
    transition: all .5s ease;
}

.stack__image_hover {
    opacity: 0;
}

.stack__card:hover .stack__image_default {
    opacity: 0;
}

.stack__card:hover .stack__image_hover {
    opacity: 1;
}

@media (max-width: 1100px) {
    .stack__cards {
        grid-template-columns: repeat(5, 1fr);
    }
}

@media (max-width: 950px) {
    .stack__cards {
        grid-template-columns: repeat(4, 1fr);
    }

    .stack__image_hover {
        opacity: 1;
    }

    .stack__image_default {
        opacity: 0;
    }
}

@media (max-width: 768px) {
    .stack__cards {
        display: flex;
        gap: 0;
        margin-top: 30px;
    }

    .stack__card {
        width: 100px !important;
        height: 100px !important;
        margin-right: 10px;
        padding: 10px;
        font-size: 14px;
    }

    .stack__image {
        width: 48px;
        height: 48px;
    }

    .stack__swiper .swiper-pagination {
        /*display: flex;*/
        height: 10px;
        align-items: center;
        justify-content: center;
        gap: 10px;
        margin-top: 30px;
    }
}
